Splunk Enterprise

Splunk Python Upgrade

kumar493
Path Finder

Hi , Currently i am running splunk version 7.3.3.  Its running on RHEL 6.10 with Python 2.7 in OS level. I got a notice to upgrade the Python verison to 3.6. I saw and read somewhere that splunk has its own python library. So my question is if i upgrade the Python version of my OS to 3.6 , Will it break my splunk infrastructure which is running on 7.3.3. ??

Labels (3)
0 Karma
1 Solution

gjanders
SplunkTrust
SplunkTrust

The OS python version and the Splunk python version are not directly related.

You can run older/newer python versions at OS level and a different version at Splunk level

Splunk 8.0.x ships with both python 2.x and 3.x , however this again does not change what you choose to run at OS level.

Alerts for Splunk Admins https://splunkbase.splunk.com/app/3796/
Version Control for Splunk https://splunkbase.splunk.com/app/4355/

View solution in original post

ChrisG
Splunk Employee
Splunk Employee

You should upgrade to Splunk 8.0.x to handle the Python dependency. See Choose your Splunk Enterprise upgrade path for the Python 3 migration in the Installation Manual for more information.

kumar493
Path Finder

Thanks for your response , So you mean if i choose to upgrade python 3 on the OS and didnt not upgrade Splunk version to 8 , Its going to create issues for me and may fail some scripts within splunk right ?

And what splunk ships the python libraries those are also having a dependency on the OS level python ?

0 Karma

gjanders
SplunkTrust
SplunkTrust

The OS python version and the Splunk python version are not directly related.

You can run older/newer python versions at OS level and a different version at Splunk level

Splunk 8.0.x ships with both python 2.x and 3.x , however this again does not change what you choose to run at OS level.

Alerts for Splunk Admins https://splunkbase.splunk.com/app/3796/
Version Control for Splunk https://splunkbase.splunk.com/app/4355/

View solution in original post

kumar493
Path Finder

Thank you for explanation.

0 Karma

isoutamo
SplunkTrust
SplunkTrust

Hi

as @gjanders said usually this don’t arise issues. But it’s good to know that there could be created some scripts which are using also OS level version of python. So if you found some weird errors after update that needs to check. Fortunately in most cases those scripts are using python3 not python2.

r. Ismo

Register for .conf21 Now! Go Vegas or Go Virtual!

How will you .conf21? You decide! Go in-person in Las Vegas, 10/18-10/21, or go online with .conf21 Virtual, 10/19-10/20.